Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client
Class RedirectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.http.HttpException
                  org.apache.http.ProtocolException
                      org.apache.http.client.RedirectException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CircularRedirectException

    @Immutable
    public class RedirectException

extends ProtocolException

Signals violation of HTTP specification caused by an invalid redirect

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`RedirectException()` Creates a new RedirectException with a `null` detail message.
`RedirectException(String message)` Creates a new RedirectException with the specified detail message.
`RedirectException(String message, Throwable cause)` Creates a new RedirectException with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RedirectException

    public RedirectException()

  Creates a new RedirectException with a `null` detail message.

### RedirectException

    public RedirectException(String message)

  Creates a new RedirectException with the specified detail message.

  Parameters:
    `message` - The exception detail message

### RedirectException

    public RedirectException(String message,
                             Throwable cause)

  Creates a new RedirectException with the specified detail message and cause.

  Parameters:
    `message` - the exception detail message
    `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.